diff --git a/boot/menhir/parser.ml b/boot/menhir/parser.ml
index 6b6fc22..dce95f7 100644
--- a/boot/menhir/parser.ml
+++ b/boot/menhir/parser.ml
@@ -38675,23 +38745,23 @@ module Tables = struct
               let _2 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 38681 "parsing/parser.ml"
+# 38751 "parsing/parser.ml"
                 
               in
               
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 38687 "parsing/parser.ml"
+# 38757 "parsing/parser.ml"
               
             in
             let _loc__8_ = (_startpos__8_, _endpos__8_) in
             let _loc__3_ = (_startpos__3_, _endpos__3_) in
             
-# 2398 "parsing/parser.mly"
+# 2418 "parsing/parser.mly"
       ( unclosed "(" _loc__3_ ")" _loc__8_ )
-# 38695 "parsing/parser.ml"
+# 38765 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__8_ in
@@ -38699,15 +38769,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 850 "parsing/parser.mly"
+# 858 "parsing/parser.mly"
     ( mkexp ~loc:_sloc _1 )
-# 38705 "parsing/parser.ml"
+# 38775 "parsing/parser.ml"
           
         in
         
-# 2294 "parsing/parser.mly"
+# 2314 "parsing/parser.mly"
       ( _1 )
-# 38711 "parsing/parser.ml"
+# 38781 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -38736,30 +38806,30 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 38742 "parsing/parser.ml"
+# 38812 "parsing/parser.ml"
               
             in
             
-# 2668 "parsing/parser.mly"
+# 2688 "parsing/parser.mly"
       ( Ppat_var (_1) )
-# 38748 "parsing/parser.ml"
+# 38818 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 38757 "parsing/parser.ml"
+# 38827 "parsing/parser.ml"
           
         in
         
-# 2669 "parsing/parser.mly"
+# 2689 "parsing/parser.mly"
       ( _1 )
-# 38763 "parsing/parser.ml"
+# 38833 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -38782,9 +38852,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = 
-# 2670 "parsing/parser.mly"
+# 2690 "parsing/parser.mly"
                              ( _1 )
-# 38788 "parsing/parser.ml"
+# 38858 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -38824,9 +38894,9 @@ module Tables = struct
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2675 "parsing/parser.mly"
+# 2695 "parsing/parser.mly"
       ( reloc_pat ~loc:_sloc _2 )
-# 38830 "parsing/parser.ml"
+# 38900 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -38849,9 +38919,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = 
-# 2677 "parsing/parser.mly"
+# 2697 "parsing/parser.mly"
       ( _1 )
-# 38855 "parsing/parser.ml"
+# 38925 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -38914,9 +38984,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 38920 "parsing/parser.ml"
+# 38990 "parsing/parser.ml"
           
         in
         let _3 =
@@ -38924,24 +38994,24 @@ module Tables = struct
           let _2 =
             let _1 = _1_inlined1 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 38930 "parsing/parser.ml"
+# 39000 "parsing/parser.ml"
             
           in
           
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 38936 "parsing/parser.ml"
+# 39006 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__5_ in
         let _symbolstartpos = _startpos__1_ in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2679 "parsing/parser.mly"
+# 2699 "parsing/parser.mly"
       ( mkpat_attrs ~loc:_sloc (Ppat_unpack _4) _3 )
-# 38945 "parsing/parser.ml"
+# 39015 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39018,11 +39088,11 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 39026 "parsing/parser.ml"
+# 39096 "parsing/parser.ml"
           
         in
         let _4 =
@@ -39031,9 +39101,9 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39037 "parsing/parser.ml"
+# 39107 "parsing/parser.ml"
           
         in
         let (_endpos__4_, _startpos__4_) = (_endpos__1_inlined3_, _startpos__1_inlined3_) in
@@ -39042,15 +39112,15 @@ module Tables = struct
           let _2 =
             let _1 = _1_inlined1 in
             
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 39048 "parsing/parser.ml"
+# 39118 "parsing/parser.ml"
             
           in
           
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 39054 "parsing/parser.ml"
+# 39124 "parsing/parser.ml"
           
         in
         let _endpos = _endpos__7_ in
@@ -39058,11 +39128,11 @@ module Tables = struct
         let _loc__4_ = (_startpos__4_, _endpos__4_) in
         let _sloc = (_symbolstartpos, _endpos) in
         
-# 2681 "parsing/parser.mly"
+# 2701 "parsing/parser.mly"
       ( mkpat_attrs ~loc:_sloc
           (Ppat_constraint(mkpat ~loc:_loc__4_ (Ppat_unpack _4), _6))
           _3 )
-# 39066 "parsing/parser.ml"
+# 39136 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39086,23 +39156,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2689 "parsing/parser.mly"
+# 2709 "parsing/parser.mly"
       ( Ppat_any )
-# 39092 "parsing/parser.ml"
+# 39162 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39100 "parsing/parser.ml"
+# 39170 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39106 "parsing/parser.ml"
+# 39176 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39126,23 +39196,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2691 "parsing/parser.mly"
+# 2711 "parsing/parser.mly"
       ( Ppat_constant _1 )
-# 39132 "parsing/parser.ml"
+# 39202 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39140 "parsing/parser.ml"
+# 39210 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39146 "parsing/parser.ml"
+# 39216 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39180,24 +39250,24 @@ module Tables = struct
         let _endpos = _endpos__3_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2693 "parsing/parser.mly"
+# 2713 "parsing/parser.mly"
       ( Ppat_interval (_1, _3) )
-# 39186 "parsing/parser.ml"
+# 39256 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__3_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39195 "parsing/parser.ml"
+# 39265 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39201 "parsing/parser.ml"
+# 39271 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39226,30 +39296,30 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39232 "parsing/parser.ml"
+# 39302 "parsing/parser.ml"
               
             in
             
-# 2695 "parsing/parser.mly"
+# 2715 "parsing/parser.mly"
       ( Ppat_construct(_1, None) )
-# 39238 "parsing/parser.ml"
+# 39308 "parsing/parser.ml"
             
           in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39247 "parsing/parser.ml"
+# 39317 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39253 "parsing/parser.ml"
+# 39323 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39273,23 +39343,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2697 "parsing/parser.mly"
+# 2717 "parsing/parser.mly"
       ( Ppat_variant(_1, None) )
-# 39279 "parsing/parser.ml"
+# 39349 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39287 "parsing/parser.ml"
+# 39357 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39293 "parsing/parser.ml"
+# 39363 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39326,15 +39396,15 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39332 "parsing/parser.ml"
+# 39402 "parsing/parser.ml"
               
             in
             
-# 2699 "parsing/parser.mly"
+# 2719 "parsing/parser.mly"
       ( Ppat_type (_2) )
-# 39338 "parsing/parser.ml"
+# 39408 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__1_inlined1_ in
@@ -39342,15 +39412,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39348 "parsing/parser.ml"
+# 39418 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39354 "parsing/parser.ml"
+# 39424 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39393,15 +39463,15 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39399 "parsing/parser.ml"
+# 39469 "parsing/parser.ml"
               
             in
             
-# 2701 "parsing/parser.mly"
+# 2721 "parsing/parser.mly"
       ( Ppat_open(_1, _3) )
-# 39405 "parsing/parser.ml"
+# 39475 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__3_ in
@@ -39409,15 +39479,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39415 "parsing/parser.ml"
+# 39485 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39421 "parsing/parser.ml"
+# 39491 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39465,18 +39535,18 @@ module Tables = struct
             let _3 =
               let (_endpos__2_, _startpos__1_, _2, _1) = (_endpos__2_inlined1_, _startpos__1_inlined1_, _2_inlined1, _1_inlined1) in
               let _1 = 
-# 2702 "parsing/parser.mly"
+# 2722 "parsing/parser.mly"
                                                      (Lident "[]")
-# 39471 "parsing/parser.ml"
+# 39541 "parsing/parser.ml"
                in
               let _endpos__1_ = _endpos__2_ in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39480 "parsing/parser.ml"
+# 39550 "parsing/parser.ml"
               
             in
             let _endpos__3_ = _endpos__2_inlined1_ in
@@ -39485,18 +39555,18 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39491 "parsing/parser.ml"
+# 39561 "parsing/parser.ml"
               
             in
             let _endpos = _endpos__3_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 2703 "parsing/parser.mly"
+# 2723 "parsing/parser.mly"
     ( Ppat_open(_1, mkpat ~loc:_sloc (Ppat_construct(_3, None))) )
-# 39500 "parsing/parser.ml"
+# 39570 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__2_inlined1_ in
@@ -39504,15 +39574,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39510 "parsing/parser.ml"
+# 39580 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39516 "parsing/parser.ml"
+# 39586 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39560,18 +39630,18 @@ module Tables = struct
             let _3 =
               let (_endpos__2_, _startpos__1_, _2, _1) = (_endpos__2_inlined1_, _startpos__1_inlined1_, _2_inlined1, _1_inlined1) in
               let _1 = 
-# 2704 "parsing/parser.mly"
+# 2724 "parsing/parser.mly"
                                                  (Lident "()")
-# 39566 "parsing/parser.ml"
+# 39636 "parsing/parser.ml"
                in
               let _endpos__1_ = _endpos__2_ in
               let _endpos = _endpos__1_ in
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39575 "parsing/parser.ml"
+# 39645 "parsing/parser.ml"
               
             in
             let _endpos__3_ = _endpos__2_inlined1_ in
@@ -39580,18 +39650,18 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39586 "parsing/parser.ml"
+# 39656 "parsing/parser.ml"
               
             in
             let _endpos = _endpos__3_ in
             let _symbolstartpos = _startpos__1_ in
             let _sloc = (_symbolstartpos, _endpos) in
             
-# 2705 "parsing/parser.mly"
+# 2725 "parsing/parser.mly"
     ( Ppat_open(_1, mkpat ~loc:_sloc (Ppat_construct(_3, None))) )
-# 39595 "parsing/parser.ml"
+# 39665 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__2_inlined1_ in
@@ -39599,15 +39669,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39605 "parsing/parser.ml"
+# 39675 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39611 "parsing/parser.ml"
+# 39681 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39664,15 +39734,15 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 817 "parsing/parser.mly"
+# 825 "parsing/parser.mly"
     ( mkrhs _1 _sloc )
-# 39670 "parsing/parser.ml"
+# 39740 "parsing/parser.ml"
               
             in
             
-# 2707 "parsing/parser.mly"
+# 2727 "parsing/parser.mly"
       ( Ppat_open (_1, _4) )
-# 39676 "parsing/parser.ml"
+# 39746 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__5_ in
@@ -39680,15 +39750,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39686 "parsing/parser.ml"
+# 39756 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39692 "parsing/parser.ml"
+# 39762 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39743,9 +39813,9 @@ module Tables = struct
             let _loc__5_ = (_startpos__5_, _endpos__5_) in
             let _loc__3_ = (_startpos__3_, _endpos__3_) in
             
-# 2709 "parsing/parser.mly"
+# 2729 "parsing/parser.mly"
       ( unclosed "(" _loc__3_ ")" _loc__5_  )
-# 39749 "parsing/parser.ml"
+# 39819 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__5_ in
@@ -39753,15 +39823,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39759 "parsing/parser.ml"
+# 39829 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39765 "parsing/parser.ml"
+# 39835 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39808,9 +39878,9 @@ module Tables = struct
           let _1 =
             let _loc__4_ = (_startpos__4_, _endpos__4_) in
             
-# 2711 "parsing/parser.mly"
+# 2731 "parsing/parser.mly"
       ( expecting _loc__4_ "pattern" )
-# 39814 "parsing/parser.ml"
+# 39884 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -39818,15 +39888,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39824 "parsing/parser.ml"
+# 39894 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39830 "parsing/parser.ml"
+# 39900 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39867,9 +39937,9 @@ module Tables = struct
             let _loc__3_ = (_startpos__3_, _endpos__3_) in
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 2713 "parsing/parser.mly"
+# 2733 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__3_ )
-# 39873 "parsing/parser.ml"
+# 39943 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__3_ in
@@ -39877,15 +39947,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39883 "parsing/parser.ml"
+# 39953 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39889 "parsing/parser.ml"
+# 39959 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -39937,24 +40007,24 @@ module Tables = struct
         let _endpos = _endpos__5_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2715 "parsing/parser.mly"
+# 2735 "parsing/parser.mly"
       ( Ppat_constraint(_2, _4) )
-# 39943 "parsing/parser.ml"
+# 40013 "parsing/parser.ml"
            in
           let _endpos__1_ = _endpos__5_ in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 39952 "parsing/parser.ml"
+# 40022 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 39958 "parsing/parser.ml"
+# 40028 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40009,9 +40079,9 @@ module Tables = struct
             let _loc__5_ = (_startpos__5_, _endpos__5_) in
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 2717 "parsing/parser.mly"
+# 2737 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__5_ )
-# 40015 "parsing/parser.ml"
+# 40085 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__5_ in
@@ -40019,15 +40089,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 40025 "parsing/parser.ml"
+# 40095 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 40031 "parsing/parser.ml"
+# 40101 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40074,9 +40144,9 @@ module Tables = struct
           let _1 =
             let _loc__4_ = (_startpos__4_, _endpos__4_) in
             
-# 2719 "parsing/parser.mly"
+# 2739 "parsing/parser.mly"
       ( expecting _loc__4_ "type" )
-# 40080 "parsing/parser.ml"
+# 40150 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__4_ in
@@ -40084,15 +40154,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 40090 "parsing/parser.ml"
+# 40160 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 40096 "parsing/parser.ml"
+# 40166 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40171,11 +40241,11 @@ module Tables = struct
               let _symbolstartpos = _startpos__1_ in
               let _sloc = (_symbolstartpos, _endpos) in
               
-# 3335 "parsing/parser.mly"
+# 3355 "parsing/parser.mly"
       ( let (lid, cstrs, attrs) = package_type_of_module_type _1 in
         let descr = Ptyp_package (lid, cstrs) in
         mktyp ~loc:_sloc ~attrs descr )
-# 40179 "parsing/parser.ml"
+# 40249 "parsing/parser.ml"
               
             in
             let _3 =
@@ -40183,23 +40253,23 @@ module Tables = struct
               let _2 =
                 let _1 = _1_inlined1 in
                 
-# 3747 "parsing/parser.mly"
+# 3775 "parsing/parser.mly"
     ( _1 )
-# 40189 "parsing/parser.ml"
+# 40259 "parsing/parser.ml"
                 
               in
               
-# 3758 "parsing/parser.mly"
+# 3786 "parsing/parser.mly"
                     ( _1, _2 )
-# 40195 "parsing/parser.ml"
+# 40265 "parsing/parser.ml"
               
             in
             let _loc__7_ = (_startpos__7_, _endpos__7_) in
             let _loc__1_ = (_startpos__1_, _endpos__1_) in
             
-# 2722 "parsing/parser.mly"
+# 2742 "parsing/parser.mly"
       ( unclosed "(" _loc__1_ ")" _loc__7_ )
-# 40203 "parsing/parser.ml"
+# 40273 "parsing/parser.ml"
             
           in
           let _endpos__1_ = _endpos__7_ in
@@ -40207,15 +40277,15 @@ module Tables = struct
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 40213 "parsing/parser.ml"
+# 40283 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 40219 "parsing/parser.ml"
+# 40289 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40239,23 +40309,23 @@ module Tables = struct
         let _endpos = _endpos__1_ in
         let _v : (Parsetree.pattern) = let _1 =
           let _1 = 
-# 2724 "parsing/parser.mly"
+# 2744 "parsing/parser.mly"
       ( Ppat_extension _1 )
-# 40245 "parsing/parser.ml"
+# 40315 "parsing/parser.ml"
            in
           let _endpos = _endpos__1_ in
           let _symbolstartpos = _startpos__1_ in
           let _sloc = (_symbolstartpos, _endpos) in
           
-# 852 "parsing/parser.mly"
+# 860 "parsing/parser.mly"
     ( mkpat ~loc:_sloc _1 )
-# 40253 "parsing/parser.ml"
+# 40323 "parsing/parser.ml"
           
         in
         
-# 2685 "parsing/parser.mly"
+# 2705 "parsing/parser.mly"
       ( _1 )
-# 40259 "parsing/parser.ml"
+# 40329 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40274,17 +40344,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 651 "parsing/parser.mly"
+# 659 "parsing/parser.mly"
        (string)
-# 40280 "parsing/parser.ml"
+# 40350 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3668 "parsing/parser.mly"
+# 3696 "parsing/parser.mly"
            ( _1 )
-# 40288 "parsing/parser.ml"
+# 40358 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40303,17 +40373,17 @@ module Tables = struct
           MenhirLib.EngineTypes.next = _menhir_stack;
         } = _menhir_stack in
         let _1 : (
-# 701 "parsing/parser.mly"
+# 709 "parsing/parser.mly"
        (string)
-# 40309 "parsing/parser.ml"
+# 40379 "parsing/parser.ml"
         ) = Obj.magic _1 in
         let _endpos__0_ = _menhir_stack.MenhirLib.EngineTypes.endp in
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3669 "parsing/parser.mly"
+# 3697 "parsing/parser.mly"
            ( _1 )
-# 40317 "parsing/parser.ml"
+# 40387 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40336,9 +40406,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3670 "parsing/parser.mly"
+# 3698 "parsing/parser.mly"
         ( "and" )
-# 40342 "parsing/parser.ml"
+# 40412 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40361,9 +40431,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3671 "parsing/parser.mly"
+# 3699 "parsing/parser.mly"
        ( "as" )
-# 40367 "parsing/parser.ml"
+# 40437 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40386,9 +40456,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3672 "parsing/parser.mly"
+# 3700 "parsing/parser.mly"
            ( "assert" )
-# 40392 "parsing/parser.ml"
+# 40462 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40411,9 +40481,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3673 "parsing/parser.mly"
+# 3701 "parsing/parser.mly"
           ( "begin" )
-# 40417 "parsing/parser.ml"
+# 40487 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40436,9 +40506,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3674 "parsing/parser.mly"
+# 3702 "parsing/parser.mly"
           ( "class" )
-# 40442 "parsing/parser.ml"
+# 40512 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40461,9 +40531,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3675 "parsing/parser.mly"
+# 3703 "parsing/parser.mly"
                ( "constraint" )
-# 40467 "parsing/parser.ml"
+# 40537 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40486,9 +40556,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3676 "parsing/parser.mly"
+# 3704 "parsing/parser.mly"
        ( "do" )
-# 40492 "parsing/parser.ml"
+# 40562 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
@@ -40511,9 +40581,9 @@ module Tables = struct
         let _startpos = _startpos__1_ in
         let _endpos = _endpos__1_ in
         let _v : (string) = 
-# 3677 "parsing/parser.mly"
+# 3705 "parsing/parser.mly"
          ( "done" )
-# 40517 "parsing/parser.ml"
+# 40587 "parsing/parser.ml"
          in
         {
           MenhirLib.EngineTypes.state = _menhir_s;
